{{- if .Values.static.enabled -}}
apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ include "introspect-webapp.fullname" . }}-static
  labels:
    app.kubernetes.io/name: {{ include "introspect-webapp.name" . }}
    helm.sh/chart: {{ include "introspect-webapp.chart" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    app.kubernetes.io/managed-by: {{ .Release.Service }}
    app.introspectdev.io/role: static
spec:
  replicas: {{ .Values.static.replicaCount }}
  selector:
    matchLabels:
      app.kubernetes.io/name: {{ include "introspect-webapp.name" . }}
      app.kubernetes.io/instance: {{ .Release.Name }}
      app.introspectdev.io/role: static
  template:
    metadata:
      labels:
        app.kubernetes.io/name: {{ include "introspect-webapp.name" . }}
        app.kubernetes.io/instance: {{ .Release.Name }}
        app.introspectdev.io/role: static
    spec:
      containers:
        - name: {{ .Chart.Name }}-static
          image: "{{ .Values.static.image.repository }}:{{ .Values.static.image.tag }}"
          imagePullPolicy: {{ .Values.static.image.pullPolicy }}
          ports:
            - name: http
              containerPort: 80
          livenessProbe:
            httpGet:
              path: /
              port: http
          readinessProbe:
            httpGet:
              path: /
              port: http
          resources:
            {{- toYaml .Values.static.resources | nindent 12 }}
      {{- with .Values.static.nodeSelector }}
      nodeSelector:
        {{- toYaml . | nindent 8 }}
      {{- end }}
    {{- with .Values.static.affinity }}
      affinity:
        {{- toYaml . | nindent 8 }}
    {{- end }}
    {{- with .Values.static.tolerations }}
      tolerations:
        {{- toYaml . | nindent 8 }}
    {{- end }}
{{- end }}
